Skip to main content
`Ctrl`+`K`

# DMCompositeGetEntries

Gets the `DM` for each entry in a `DMCOMPOSITE`.

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeGetEntries(DM dm, ...)

Not Collective

## Input Parameter

- dm - the `DMCOMPOSITE` object

## Output Parameter

- … - the individual entries `DM`

## Fortran Notes

Use `DMCompositeGetEntriesArray()`

## See Also

`DMCOMPOSITE`, `DM`, `DMDestroy()`, `DMCompositeAddDM()`, `DMCreateGlobalVector()`, `DMCompositeGetEntriesArray()` `DMCompositeGather()`, `DMCompositeCreate()`, `DMCompositeGetISLocalToGlobalMappings()`, `DMCompositeGetAccess()`, `DMCompositeRestoreLocalVectors()`, `DMCompositeGetLocalVectors()`, `DMCompositeScatter()`

## Level

advanced

## Location

src/dm/impls/composite/pack.c

## Examples

src/snes/tutorials/ex22.c
src/ts/tutorials/ex14.c
src/snes/tutorials/ex28.c

Index of all DMComposite routines
Table of Contents for all manual pages
Index of all manual pages